<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xExportar($varForm) {
	$varAni = ($varForm[anio]=="Ninguno")?"NULL":"'".$varForm[anio]."'";
	$varMes = ($varForm[mes]=="Ninguno")?"NULL":"'".$varForm[mes]."'";
	$sql = "call spQuery_Proveedor_Comision($varAni, $varMes, '$varForm[pcod]', '$varForm[tcod]', NULL, NULL)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsComision_Proveedor($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}

function xFormuRegistro($varOpt, $varAnio, $varMes, $varPro, $varTip) {
	$var = VarServer("MYSQLI");
	$obj = new clsComision_Proveedor($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuRegistro($varOpt, $varAnio, $varMes, $varPro, $varTip);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsComision_Proveedor($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	//$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsComision_Proveedor($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$varTabla.= $obj->FormuBusqueda();
		$varTabla.= "<div id=\"divDatos\">";
//		$varTabla.= $obj->GridDatos();		
		$varTabla.= "</div>";
		$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}
function xEliminar($varAnio, $varMes, $varPro, $varTip) {
	$var = VarServer("MYSQLI");
	$obj = new clsComision_Proveedor($var[0],$var[1],$var[2],$var[3],$var[4]);
	$obj->ProcesoEliminar($varAnio, $varMes, $varPro, $varTip);	
	return true;
	}
		

$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_tipo_vendedor');
$xajax->register(XAJAX_FUNCTION, 'comboComisionLis');
$xajax->register(XAJAX_FUNCTION, 'comboMesComision');

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');

$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);		
		}
	function xExportarJS() {
		xajax_xExportar(xajax.getFormValues('form'));		
		}
	function xGrabarJS() {
		if (xajax.$("anio") && xajax.$("anio").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN AÑO");  
			xajax.$("anio").focus();
			return (false); 
			}
		else if (xajax.$("mes") && xajax.$("mes").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN MES");  
			xajax.$("mes").focus();
			return (false); 
			}	
		else if (xajax.$("pro") && xajax.$("pro").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN PROVEEDOR");  
			xajax.$("pro").focus();
			return (false); 
			}
		else if (xajax.$("lis") && xajax.$("lis").value=="Ninguno") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA LISTA DE PRECIOS");  
			xajax.$("tip").focus();
			return (false); 
			}
		else if (xajax.$("por") && xajax.$("por").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN PORCENTAJE DE LA COMSION");  
			xajax.$("por").focus();
			return (false); 
			}	
		else if (parseFloat(xajax.$("por").value) <= 0) {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nEL PORCENTAJE DE LA COMISION DEBE SER MAYOR A CERO");  
			xajax.$("por").focus();
			return (false); 
			}
		if (confirm("¿DESE GUARDAR LOS CAMBIOS?")) {
			xajax_xGrabar(xajax.getFormValues('form'));		
			}
		}
	function xEliminarJS(varAnio, varMes, varPro, varTip, varTab) {
		if(confirm('¿ESTA SEGURO DE ELIMINAR EL REGISTRO?')) {			
			xajax_xEliminar(varAnio, varMes, varPro, varTip);
			EliminarFilaTabla(varTab)
			}
				
		}
	function FormuRegistroJS(varOpt, varAnio, varMes, varPro, varTip) {
		UnTip();
		xajax_xFormuRegistro(varOpt, varAnio, varMes, varPro, varTip);		
		}
</script>
<?php
function MyTable($obj, $Titulo, $Opcion, $Valor, $TamFila) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";	
	} 
?>